
VIRTUAL CREDIT CARD - Bug #15303

Android [TREATS] [TREATS Point] The calculation is wrong when user click + button to quantity

20 December 2022 02:37 PM - hsulynn pang

Status: Closed Start date: 20 December 2022

Priority: High Due date:  

Assignee: hsulynn pang % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

user profile: ntbsec02

steps:

(1) login

(2) swipe to the right for Kartu Kredit

(3) select the credit card for TREATS

(4) at the Customer Transaction History screen, click My TREATS

(5) at the My TREATS Rewards screen, click Redeem Reward TREATS

(6) at the Point tab, click Tambah button

(7) verify the screen #1

(8) click + button to add quantity

Actual result:

(1) It shows default quantity as 0 (If user have sufficient balance)

(2) when click + to quantity, the points redeem is calculated wrongly

Expected result:

(1) It shows default quantity as 1 (If user have sufficient balance)

(2) when click + to quantity, the points redeem is calculated correctly

History

#1 - 20 December 2022 03:24 PM - Septi Gizka Tiara

- Status changed from New to In Progress

#2 - 20 December 2022 05:48 PM - Septi Gizka Tiara

- Status changed from In Progress to Resolved

#3 - 21 December 2022 08:57 AM - hsulynn pang

- Assignee changed from Septi Gizka Tiara to hsulynn pang

#4 - 21 December 2022 11:11 AM - hsulynn pang

- File retest.mp4 added

- Status changed from Resolved to Closed

tested ok

Files

WhatsApp Video 2022-12-20 at 14.32.38.mp4 4.74 MB 20 December 2022 hsulynn pang

retest.mp4 1.73 MB 21 December 2022 hsulynn pang
